Welcome to Water Restrictions, your go-to source for up-to-date information on water restrictions in your area.Water Restrictions LogoWater Restrictions
EndpointsRestriction zones

Get Restriction Zones

Gets a page of restriction zones with their type and aliases, and pagination metadata.

GET
/v1/restriction-zones

Gets a page of restriction zones with their type and aliases, and pagination metadata.

Query Parameters

pageNumber?|
Match^-?(?:0|[1-9]\d*)$
Formatint32
Default1
pageSize?|
Match^-?(?:0|[1-9]\d*)$
Formatint32
Default10

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/restriction-zones"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "type": "district",      "aliases": [        "string"      ]    }  ],  "pageNumber": 0,  "pageSize": 0,  "totalCount": 0,  "totalPages": 0,  "hasPreviousPage": true,  "hasNextPage": true}